Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaBoolean.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaBoolean.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaBoolean.java	(revision 511)
@@ -26,5 +26,5 @@
  * @generated
  */
-public interface ModelicaBoolean extends ModelicaType {
+public interface ModelicaBoolean extends ModelicaPrimitiveType {
 	/**
 	 * Returns the value of the '<em><b>Value</b></em>' attribute.
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaClass.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaClass.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaClass.java	(revision 511)
@@ -38,4 +38,5 @@
 	/**
 	 * Returns the value of the '<em><b>Is Encapsulated Class</b></em>' attribute.
+	 * The default value is <code>""</code>.
 	 * <!-- begin-user-doc -->
 	 * <p>
@@ -47,5 +48,5 @@
 	 * @see #setIsEncapsulatedClass(boolean)
 	 * @see org.modelica.uml.sysml.SysmlPackage#getModelicaClass_IsEncapsulatedClass()
-	 * @model dataType="org.eclipse.uml2.uml.Boolean"
+	 * @model default="" dataType="org.eclipse.uml2.uml.Boolean"
 	 * @generated
 	 */
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaInteger.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaInteger.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaInteger.java	(revision 511)
@@ -28,5 +28,5 @@
  * @generated
  */
-public interface ModelicaInteger extends ModelicaType {
+public interface ModelicaInteger extends ModelicaPrimitiveType {
 	/**
 	 * Returns the value of the '<em><b>Value</b></em>' attribute.
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaPrimitiveType.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaPrimitiveType.java	(revision 511)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaPrimitiveType.java	(revision 511)
@@ -0,0 +1,22 @@
+/**
+ * <copyright>
+ * </copyright>
+ *
+ * $Id$
+ */
+package org.modelica.uml.sysml;
+
+import org.eclipse.uml2.uml.PrimitiveType;
+
+/**
+ * <!-- begin-user-doc -->
+ * A representation of the model object '<em><b>Modelica Primitive Type</b></em>'.
+ * <!-- end-user-doc -->
+ *
+ *
+ * @see org.modelica.uml.sysml.SysmlPackage#getModelicaPrimitiveType()
+ * @model
+ * @generated
+ */
+public interface ModelicaPrimitiveType extends PrimitiveType, ModelicaClassifier {
+} // ModelicaPrimitiveType
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaProperty.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaProperty.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaProperty.java	(revision 511)
@@ -22,5 +22,4 @@
  *   <li>{@link org.modelica.uml.sysml.ModelicaProperty#getArrayDimension <em>Array Dimension</em>}</li>
  *   <li>{@link org.modelica.uml.sysml.ModelicaProperty#getAccess <em>Access</em>}</li>
- *   <li>{@link org.modelica.uml.sysml.ModelicaProperty#getDataType <em>Data Type</em>}</li>
  * </ul>
  * </p>
@@ -200,29 +199,3 @@
 	void setAccess(AccessKind value);
 
-	/**
-	 * Returns the value of the '<em><b>Data Type</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <p>
-	 * If the meaning of the '<em>Data Type</em>' reference isn't clear,
-	 * there really should be more of a description here...
-	 * </p>
-	 * <!-- end-user-doc -->
-	 * @return the value of the '<em>Data Type</em>' reference.
-	 * @see #setDataType(ModelicaClassifier)
-	 * @see org.modelica.uml.sysml.SysmlPackage#getModelicaProperty_DataType()
-	 * @model
-	 * @generated
-	 */
-	ModelicaClassifier getDataType();
-
-	/**
-	 * Sets the value of the '{@link org.modelica.uml.sysml.ModelicaProperty#getDataType <em>Data Type</em>}' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @param value the new value of the '<em>Data Type</em>' reference.
-	 * @see #getDataType()
-	 * @generated
-	 */
-	void setDataType(ModelicaClassifier value);
-
 } // ModelicaProperty
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaReal.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaReal.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaReal.java	(revision 511)
@@ -32,5 +32,5 @@
  * @generated
  */
-public interface ModelicaReal extends ModelicaType {
+public interface ModelicaReal extends ModelicaPrimitiveType {
 	/**
 	 * Returns the value of the '<em><b>Value</b></em>' attribute.
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaString.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaString.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaString.java	(revision 511)
@@ -25,5 +25,5 @@
  * @generated
  */
-public interface ModelicaString extends ModelicaType {
+public interface ModelicaString extends ModelicaPrimitiveType {
 	/**
 	 * Returns the value of the '<em><b>Value</b></em>' attribute.
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaType.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaType.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/ModelicaType.java	(revision 511)
@@ -7,4 +7,6 @@
 package org.modelica.uml.sysml;
 
+import org.eclipse.uml2.uml.Classifier;
+
 import org.eclipse.uml2.uml.PrimitiveType;
 
@@ -14,4 +16,10 @@
  * <!-- end-user-doc -->
  *
+ * <p>
+ * The following features are supported:
+ * <ul>
+ *   <li>{@link org.modelica.uml.sysml.ModelicaType#getTypeData <em>Type Data</em>}</li>
+ * </ul>
+ * </p>
  *
  * @see org.modelica.uml.sysml.SysmlPackage#getModelicaType()
@@ -19,4 +27,30 @@
  * @generated
  */
-public interface ModelicaType extends PrimitiveType, ModelicaClassifier {
+public interface ModelicaType extends ModelicaClassifier {
+	/**
+	 * Returns the value of the '<em><b>Type Data</b></em>' containment reference.
+	 * <!-- begin-user-doc -->
+	 * <p>
+	 * If the meaning of the '<em>Type Data</em>' containment reference isn't clear,
+	 * there really should be more of a description here...
+	 * </p>
+	 * <!-- end-user-doc -->
+	 * @return the value of the '<em>Type Data</em>' containment reference.
+	 * @see #setTypeData(PrimitiveType)
+	 * @see org.modelica.uml.sysml.SysmlPackage#getModelicaType_TypeData()
+	 * @model containment="true"
+	 * @generated
+	 */
+	PrimitiveType getTypeData();
+
+	/**
+	 * Sets the value of the '{@link org.modelica.uml.sysml.ModelicaType#getTypeData <em>Type Data</em>}' containment reference.
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @param value the new value of the '<em>Type Data</em>' containment reference.
+	 * @see #getTypeData()
+	 * @generated
+	 */
+	void setTypeData(PrimitiveType value);
+
 } // ModelicaType
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlFactory.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlFactory.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlFactory.java	(revision 511)
@@ -297,4 +297,13 @@
 
 	/**
+	 * Returns a new object of class '<em>Modelica Primitive Type</em>'.
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @return a new object of class '<em>Modelica Primitive Type</em>'.
+	 * @generated
+	 */
+	ModelicaPrimitiveType createModelicaPrimitiveType();
+
+	/**
 	 * Returns the package supported by this factory.
 	 * <!-- begin-user-doc -->
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java	(revision 511)
@@ -4488,364 +4488,4 @@
 
 	/**
-	 * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__EANNOTATIONS = UMLPackage.PRIMITIVE_TYPE__EANNOTATIONS;
-
-	/**
-	 * The feature id for the '<em><b>Owned Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_ELEMENT = UMLPackage.PRIMITIVE_TYPE__OWNED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Owner</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNER = UMLPackage.PRIMITIVE_TYPE__OWNER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Comment</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_COMMENT = UMLPackage.PRIMITIVE_TYPE__OWNED_COMMENT;
-
-	/**
-	 * The feature id for the '<em><b>Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__NAME = UMLPackage.PRIMITIVE_TYPE__NAME;
-
-	/**
-	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__VISIBILITY = UMLPackage.PRIMITIVE_TYPE__VISIBILITY;
-
-	/**
-	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__QUALIFIED_NAME = UMLPackage.PRIMITIVE_TYPE__QUALIFIED_NAME;
-
-	/**
-	 * The feature id for the '<em><b>Client Dependency</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__CLIENT_DEPENDENCY = UMLPackage.PRIMITIVE_TYPE__CLIENT_DEPENDENCY;
-
-	/**
-	 * The feature id for the '<em><b>Namespace</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__NAMESPACE = UMLPackage.PRIMITIVE_TYPE__NAMESPACE;
-
-	/**
-	 * The feature id for the '<em><b>Name Expression</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__NAME_EXPRESSION = UMLPackage.PRIMITIVE_TYPE__NAME_EXPRESSION;
-
-	/**
-	 * The feature id for the '<em><b>Element Import</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__ELEMENT_IMPORT = UMLPackage.PRIMITIVE_TYPE__ELEMENT_IMPORT;
-
-	/**
-	 * The feature id for the '<em><b>Package Import</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__PACKAGE_IMPORT = UMLPackage.PRIMITIVE_TYPE__PACKAGE_IMPORT;
-
-	/**
-	 * The feature id for the '<em><b>Owned Rule</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_RULE = UMLPackage.PRIMITIVE_TYPE__OWNED_RULE;
-
-	/**
-	 * The feature id for the '<em><b>Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__MEMBER = UMLPackage.PRIMITIVE_TYPE__MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Imported Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__IMPORTED_MEMBER = UMLPackage.PRIMITIVE_TYPE__IMPORTED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_MEMBER = UMLPackage.PRIMITIVE_TYPE__OWNED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Is Leaf</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__IS_LEAF = UMLPackage.PRIMITIVE_TYPE__IS_LEAF;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__REDEFINED_ELEMENT = UMLPackage.PRIMITIVE_TYPE__REDEFINED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Redefinition Context</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__REDEFINITION_CONTEXT = UMLPackage.PRIMITIVE_TYPE__REDEFINITION_CONTEXT;
-
-	/**
-	 * The feature id for the '<em><b>Owning Template Parameter</b></em>' container reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNING_TEMPLATE_PARAMETER = UMLPackage.PRIMITIVE_TYPE__OWNING_TEMPLATE_PARAMETER;
-
-	/**
-	 * The feature id for the '<em><b>Template Parameter</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__TEMPLATE_PARAMETER = UMLPackage.PRIMITIVE_TYPE__TEMPLATE_PARAMETER;
-
-	/**
-	 * The feature id for the '<em><b>Package</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__PACKAGE = UMLPackage.PRIMITIVE_TYPE__PACKAGE;
-
-	/**
-	 * The feature id for the '<em><b>Template Binding</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__TEMPLATE_BINDING = UMLPackage.PRIMITIVE_TYPE__TEMPLATE_BINDING;
-
-	/**
-	 * The feature id for the '<em><b>Owned Template Signature</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_TEMPLATE_SIGNATURE = UMLPackage.PRIMITIVE_TYPE__OWNED_TEMPLATE_SIGNATURE;
-
-	/**
-	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__IS_ABSTRACT = UMLPackage.PRIMITIVE_TYPE__IS_ABSTRACT;
-
-	/**
-	 * The feature id for the '<em><b>Generalization</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__GENERALIZATION = UMLPackage.PRIMITIVE_TYPE__GENERALIZATION;
-
-	/**
-	 * The feature id for the '<em><b>Powertype Extent</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__POWERTYPE_EXTENT = UMLPackage.PRIMITIVE_TYPE__POWERTYPE_EXTENT;
-
-	/**
-	 * The feature id for the '<em><b>Feature</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__FEATURE = UMLPackage.PRIMITIVE_TYPE__FEATURE;
-
-	/**
-	 * The feature id for the '<em><b>Inherited Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__INHERITED_MEMBER = UMLPackage.PRIMITIVE_TYPE__INHERITED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Classifier</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__REDEFINED_CLASSIFIER = UMLPackage.PRIMITIVE_TYPE__REDEFINED_CLASSIFIER;
-
-	/**
-	 * The feature id for the '<em><b>General</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__GENERAL = UMLPackage.PRIMITIVE_TYPE__GENERAL;
-
-	/**
-	 * The feature id for the '<em><b>Substitution</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__SUBSTITUTION = UMLPackage.PRIMITIVE_TYPE__SUBSTITUTION;
-
-	/**
-	 * The feature id for the '<em><b>Attribute</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__ATTRIBUTE = UMLPackage.PRIMITIVE_TYPE__ATTRIBUTE;
-
-	/**
-	 * The feature id for the '<em><b>Representation</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__REPRESENTATION = UMLPackage.PRIMITIVE_TYPE__REPRESENTATION;
-
-	/**
-	 * The feature id for the '<em><b>Collaboration Use</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__COLLABORATION_USE = UMLPackage.PRIMITIVE_TYPE__COLLABORATION_USE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Use Case</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_USE_CASE = UMLPackage.PRIMITIVE_TYPE__OWNED_USE_CASE;
-
-	/**
-	 * The feature id for the '<em><b>Use Case</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__USE_CASE = UMLPackage.PRIMITIVE_TYPE__USE_CASE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Attribute</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_ATTRIBUTE = UMLPackage.PRIMITIVE_TYPE__OWNED_ATTRIBUTE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Operation</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE__OWNED_OPERATION = UMLPackage.PRIMITIVE_TYPE__OWNED_OPERATION;
-
-	/**
-	 * The number of structural features of the '<em>Modelica Type</em>' class.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_TYPE_FEATURE_COUNT = UMLPackage.PRIMITIVE_TYPE_FEATURE_COUNT + 0;
-
-	/**
 	 * The meta object id for the '{@link org.modelica.uml.sysml.impl.ModelicaRealImpl <em>Modelica Real</em>}' class.
 	 * <!-- begin-user-doc -->
@@ -4858,445 +4498,4 @@
 
 	/**
-	 * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__EANNOTATIONS = MODELICA_TYPE__EANNOTATIONS;
-
-	/**
-	 * The feature id for the '<em><b>Owned Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_ELEMENT = MODELICA_TYPE__OWNED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Owner</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNER = MODELICA_TYPE__OWNER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Comment</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_COMMENT = MODELICA_TYPE__OWNED_COMMENT;
-
-	/**
-	 * The feature id for the '<em><b>Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__NAME = MODELICA_TYPE__NAME;
-
-	/**
-	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__VISIBILITY = MODELICA_TYPE__VISIBILITY;
-
-	/**
-	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__QUALIFIED_NAME = MODELICA_TYPE__QUALIFIED_NAME;
-
-	/**
-	 * The feature id for the '<em><b>Client Dependency</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__CLIENT_DEPENDENCY = MODELICA_TYPE__CLIENT_DEPENDENCY;
-
-	/**
-	 * The feature id for the '<em><b>Namespace</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__NAMESPACE = MODELICA_TYPE__NAMESPACE;
-
-	/**
-	 * The feature id for the '<em><b>Name Expression</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__NAME_EXPRESSION = MODELICA_TYPE__NAME_EXPRESSION;
-
-	/**
-	 * The feature id for the '<em><b>Element Import</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__ELEMENT_IMPORT = MODELICA_TYPE__ELEMENT_IMPORT;
-
-	/**
-	 * The feature id for the '<em><b>Package Import</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__PACKAGE_IMPORT = MODELICA_TYPE__PACKAGE_IMPORT;
-
-	/**
-	 * The feature id for the '<em><b>Owned Rule</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_RULE = MODELICA_TYPE__OWNED_RULE;
-
-	/**
-	 * The feature id for the '<em><b>Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__MEMBER = MODELICA_TYPE__MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Imported Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__IMPORTED_MEMBER = MODELICA_TYPE__IMPORTED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_MEMBER = MODELICA_TYPE__OWNED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Is Leaf</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__IS_LEAF = MODELICA_TYPE__IS_LEAF;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__REDEFINED_ELEMENT = MODELICA_TYPE__REDEFINED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Redefinition Context</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__REDEFINITION_CONTEXT = MODELICA_TYPE__REDEFINITION_CONTEXT;
-
-	/**
-	 * The feature id for the '<em><b>Owning Template Parameter</b></em>' container reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNING_TEMPLATE_PARAMETER = MODELICA_TYPE__OWNING_TEMPLATE_PARAMETER;
-
-	/**
-	 * The feature id for the '<em><b>Template Parameter</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__TEMPLATE_PARAMETER = MODELICA_TYPE__TEMPLATE_PARAMETER;
-
-	/**
-	 * The feature id for the '<em><b>Package</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__PACKAGE = MODELICA_TYPE__PACKAGE;
-
-	/**
-	 * The feature id for the '<em><b>Template Binding</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__TEMPLATE_BINDING = MODELICA_TYPE__TEMPLATE_BINDING;
-
-	/**
-	 * The feature id for the '<em><b>Owned Template Signature</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_TEMPLATE_SIGNATURE = MODELICA_TYPE__OWNED_TEMPLATE_SIGNATURE;
-
-	/**
-	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__IS_ABSTRACT = MODELICA_TYPE__IS_ABSTRACT;
-
-	/**
-	 * The feature id for the '<em><b>Generalization</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__GENERALIZATION = MODELICA_TYPE__GENERALIZATION;
-
-	/**
-	 * The feature id for the '<em><b>Powertype Extent</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__POWERTYPE_EXTENT = MODELICA_TYPE__POWERTYPE_EXTENT;
-
-	/**
-	 * The feature id for the '<em><b>Feature</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__FEATURE = MODELICA_TYPE__FEATURE;
-
-	/**
-	 * The feature id for the '<em><b>Inherited Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__INHERITED_MEMBER = MODELICA_TYPE__INHERITED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Classifier</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__REDEFINED_CLASSIFIER = MODELICA_TYPE__REDEFINED_CLASSIFIER;
-
-	/**
-	 * The feature id for the '<em><b>General</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__GENERAL = MODELICA_TYPE__GENERAL;
-
-	/**
-	 * The feature id for the '<em><b>Substitution</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__SUBSTITUTION = MODELICA_TYPE__SUBSTITUTION;
-
-	/**
-	 * The feature id for the '<em><b>Attribute</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__ATTRIBUTE = MODELICA_TYPE__ATTRIBUTE;
-
-	/**
-	 * The feature id for the '<em><b>Representation</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__REPRESENTATION = MODELICA_TYPE__REPRESENTATION;
-
-	/**
-	 * The feature id for the '<em><b>Collaboration Use</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__COLLABORATION_USE = MODELICA_TYPE__COLLABORATION_USE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Use Case</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_USE_CASE = MODELICA_TYPE__OWNED_USE_CASE;
-
-	/**
-	 * The feature id for the '<em><b>Use Case</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__USE_CASE = MODELICA_TYPE__USE_CASE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Attribute</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_ATTRIBUTE = MODELICA_TYPE__OWNED_ATTRIBUTE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Operation</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__OWNED_OPERATION = MODELICA_TYPE__OWNED_OPERATION;
-
-	/**
-	 * The feature id for the '<em><b>Value</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__VALUE = MODELICA_TYPE_FEATURE_COUNT + 0;
-
-	/**
-	 * The feature id for the '<em><b>Quantity</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__QUANTITY = MODELICA_TYPE_FEATURE_COUNT + 1;
-
-	/**
-	 * The feature id for the '<em><b>Unit</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__UNIT = MODELICA_TYPE_FEATURE_COUNT + 2;
-
-	/**
-	 * The feature id for the '<em><b>Display Unit</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__DISPLAY_UNIT = MODELICA_TYPE_FEATURE_COUNT + 3;
-
-	/**
-	 * The feature id for the '<em><b>Min</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__MIN = MODELICA_TYPE_FEATURE_COUNT + 4;
-
-	/**
-	 * The feature id for the '<em><b>Max</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__MAX = MODELICA_TYPE_FEATURE_COUNT + 5;
-
-	/**
-	 * The feature id for the '<em><b>Start</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__START = MODELICA_TYPE_FEATURE_COUNT + 6;
-
-	/**
-	 * The feature id for the '<em><b>Fixed</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__FIXED = MODELICA_TYPE_FEATURE_COUNT + 7;
-
-	/**
-	 * The feature id for the '<em><b>Nominal</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL__NOMINAL = MODELICA_TYPE_FEATURE_COUNT + 8;
-
-	/**
-	 * The number of structural features of the '<em>Modelica Real</em>' class.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_REAL_FEATURE_COUNT = MODELICA_TYPE_FEATURE_COUNT + 9;
-
-	/**
 	 * The meta object id for the '{@link org.modelica.uml.sysml.impl.ModelicaIntegerImpl <em>Modelica Integer</em>}' class.
 	 * <!-- begin-user-doc -->
